struct zr36060 {
	u32	host_interface_base;
	u32	codecctl;
	u32	codecaddr;
	u32	codechardptr;
	u32	codechostptr;
	u32	codeclcode;
	u32	vstatus;
	u32	viclear;
	u32	palwtadd;
	u32	x_datareg;

	u8	*command_base;
	u8	*read_base;

	u16	codecctl_shadow;
	u8	codecmis_shadow;

	u32	_4;
	u32	_10;
	u32	_14;	/* command buffer for codec */
	u32	_28;
	u32	_3d;
	u32	_41;
	u32	_45;
	u32	_49;
	u32	_4d;
	u32	_6d;
	u32	_71;
	u32	_169;
};

int	zr36060_attach(struct zr36060 *zr);
int	zr36060_deattach(struct zr36060 *zr);
